include mixins

doctype html
html(lang="en")
    +head
    body.text-center
        .cover-container.d-flex.w-50.h-100.p-3.mx-auto.flex-column  
            +navbar('login')
            - var error = error
            +error(error)
            form.needs-validation.form-signin(method='POST' action='/ingresar' novalidate)
                h1.h3.mb-3.font-weight-normal Iniciar Sesión
                label.sr-only(for='email') Email:
                input#email.form-control(type='email' name='email' placeholder='Correo electrónico' required='' value=`${email}`)
                .col-md-6.mb-3
                label.sr-only(for='inputPassword') Contraseña:
                input#inputPassword.form-control(type='password' name='password' placeholder='Contraseña' required='' value=`${password}` )
                hr
                button.btn.btn-primary(type='submit') Ingresar
                p
                .g-signin2(data-onsuccess='onSignIn')
                hr



        script.
            function onSignIn(googleUser) {
                var profile = googleUser.getBasicProfile();
                var id_token = googleUser.getAuthResponse().id_token;
                var xhr = new XMLHttpRequest();
                xhr.open('POST', '/google');
                xhr.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded');
                xhr.onload = function() {
                    window.location = '/articulos';
                };
                xhr.send('idtoken=' + id_token);
            }
              
        
